Subject: [alpine-aports] [PATCH v2] main/sessreq: new upstream version 1.1.0

From: Christian Kampka <[email-masked]>
Date: Fri, 6 Nov 2015 17:56:56 +0100

---
 main/sessreg/APKBUILD                 | 25 +++++++++++++++++++------
 main/sessreg/missing_path_wtmpx.patch | 12 ++++++++++++
 2 files changed, 31 insertions(+), 6 deletions(-)
 create mode 100644 main/sessreg/missing_path_wtmpx.patch

diff --git a/main/sessreg/APKBUILD b/main/sessreg/APKBUILD
index 29453b0..7fb1153 100644
--- a/main/sessreg/APKBUILD
+++ b/main/sessreg/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=sessreg
-pkgver=1.0.5
-pkgrel=2
+pkgver=1.1.0
+pkgrel=0
 pkgdesc="manage utmp/wtmp entries for non-init clients"
 url="http://xorg.freedesktop.org/"
 arch="all"
@@ -9,13 +9,21 @@ license="custom"
 subpackages="$pkgname-doc"
 depends=
 makedepends="xproto"
-source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2
+missing_path_wtmpx.patch
+"
 
 _builddir="$srcdir/$pkgname-$pkgver"
-
 prepare() {
 	cd "$_builddir"
-	update_config_sub || return 1
+	for i in $source; do
+		case $i in
+		patch*|*.patch)
+			msg "Applying $i"
+			patch -p1 -i "$srcdir"/$i || return 1
+			;;
+		esac
+	done
 }
 
 build () {
@@ -33,4 +41,9 @@ package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
 }
-md5sums="00e834c3cbfd990e9d7d5ddc834242df  sessreg-1.0.5.tar.bz2"
+md5sums="e238c89dabc566e1835e1ecb61b605b9  sessreg-1.1.0.tar.bz2
+d07d76587afb64739c876529c4f582cd  missing_path_wtmpx.patch"
+sha256sums="551177657835e0902b5eee7b19713035beaa1581bbd3c6506baa553e751e017c  sessreg-1.1.0.tar.bz2
+8d13a6ae41492cdc4afd38691f45792e8000b129f34e94cf83a30435c4686b29  missing_path_wtmpx.patch"
+sha512sums="5d9010874696bbc53a6271f30c089690cb341ede992f6be0914474a03ff4468e01e6a4ce7e6a437b96751fdf0ccced52b374126e5caeac6747edecd049841116  sessreg-1.1.0.tar.bz2
+ab562bba2463d8f7ede6ed90fafdd685a33596ef47f118eefa2312f38e34d1ba18bd0c383dfe778327b126e0c80dc12045cb27d49eab09162ebacea6ab98b522  missing_path_wtmpx.patch"
diff --git a/main/sessreg/missing_path_wtmpx.patch b/main/sessreg/missing_path_wtmpx.patch
new file mode 100644
index 0000000..dac2124
--- /dev/null
+++ b/main/sessreg/missing_path_wtmpx.patch
@@ -0,0 +1,12 @@
+diff -Naur sessreg-1.0.8.orig/sessreg.h sessreg-1.0.8/sessreg.h
+--- sessreg-1.0.8.orig/sessreg.h	2013-02-10 21:43:50.000000000 -0500
++++ sessreg-1.0.8/sessreg.h	2014-06-18 10:02:17.769459663 -0400
+@@ -106,3 +106,8 @@
+ #ifndef UTMPX_FILE
+ # define UTMPX_FILE	_PATH_UTMPX
+ #endif
++
++#ifndef _PATH_WTMPX
++# define _PATH_WTMPX	"/var/log/wtmp"
++#endif
++
-- 
2.6.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---